cURL
curl --request POST \
--url https://api.uat.accessrc.org/api/DeliveryChannel/UpdateStatus \
--header 'Content-Type: application/json-patch+json' \
--header 'x-api-key: <api-key>' \
--data '
{
"providerDeliveryChannelId": "ced2396b-32b5-4b08-bd98-7830dfb2b622",
"status": "OFFLINE"
}
'HttpResponse<String> response = Unirest.post("https://api.uat.accessrc.org/api/DeliveryChannel/UpdateStatus")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"providerDeliveryChannelId\": \"ced2396b-32b5-4b08-bd98-7830dfb2b622\",\n \"status\": \"OFFLINE\"\n}")
.asString();import requests
url = "https://api.uat.accessrc.org/api/DeliveryChannel/UpdateStatus"
payload = {
"providerDeliveryChannelId": "ced2396b-32b5-4b08-bd98-7830dfb2b622",
"status": "OFFLINE"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
providerDeliveryChannelId: 'ced2396b-32b5-4b08-bd98-7830dfb2b622',
status: 'OFFLINE'
})
};
fetch('https://api.uat.accessrc.org/api/DeliveryChannel/UpdateStatus', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));using RestSharp;
var options = new RestClientOptions("https://api.uat.accessrc.org/api/DeliveryChannel/UpdateStatus");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-api-key", "<api-key>");
request.AddJsonBody("{\n \"providerDeliveryChannelId\": \"ced2396b-32b5-4b08-bd98-7830dfb2b622\",\n \"status\": \"OFFLINE\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
{
"error": null,
"data": {
"message": "Delivery Channel update status request is created successfully",
"providerDeliveryChannelId": "ced2396b-32b5-4b08-bd98-7830dfb2b622",
"date": "2025-04-04T14:07:49Z",
"requestType": "Delivery Channel Create",
"requestedDate": "2025-04-04T14:07:47Z"
},
"status": "success"
}{
"error": {
"guid": "95bd740b-755b-4f95-8549-fa9acfc31a41",
"code": 400,
"type": "ValidationError",
"message": "Invalid request body format. Please check your request format from AccessRC API specifications.",
"title": "Invalid Request Body"
},
"data": null,
"status": "failed"
}{
"error": {
"guid": "2c77f4b6-6ff8-4017-8bb8-1d7a5c8e01f3",
"code": 401,
"type": "Unauthorized",
"message": null,
"title": "API Key is missing"
},
"data": null,
"status": "failed"
}{
"error": {
"guid": "2c77f4b6-6ff8-4017-8bb8-1d7a5c8e01f3",
"code": 500,
"type": "Exception",
"message": null,
"title": "Internal Server Error"
},
"data": null,
"status": "failed"
}Delivery Channel
Update Delivery Channel Status
POST
/
api
/
DeliveryChannel
/
UpdateStatus
cURL
curl --request POST \
--url https://api.uat.accessrc.org/api/DeliveryChannel/UpdateStatus \
--header 'Content-Type: application/json-patch+json' \
--header 'x-api-key: <api-key>' \
--data '
{
"providerDeliveryChannelId": "ced2396b-32b5-4b08-bd98-7830dfb2b622",
"status": "OFFLINE"
}
'HttpResponse<String> response = Unirest.post("https://api.uat.accessrc.org/api/DeliveryChannel/UpdateStatus")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"providerDeliveryChannelId\": \"ced2396b-32b5-4b08-bd98-7830dfb2b622\",\n \"status\": \"OFFLINE\"\n}")
.asString();import requests
url = "https://api.uat.accessrc.org/api/DeliveryChannel/UpdateStatus"
payload = {
"providerDeliveryChannelId": "ced2396b-32b5-4b08-bd98-7830dfb2b622",
"status": "OFFLINE"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
providerDeliveryChannelId: 'ced2396b-32b5-4b08-bd98-7830dfb2b622',
status: 'OFFLINE'
})
};
fetch('https://api.uat.accessrc.org/api/DeliveryChannel/UpdateStatus', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));using RestSharp;
var options = new RestClientOptions("https://api.uat.accessrc.org/api/DeliveryChannel/UpdateStatus");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-api-key", "<api-key>");
request.AddJsonBody("{\n \"providerDeliveryChannelId\": \"ced2396b-32b5-4b08-bd98-7830dfb2b622\",\n \"status\": \"OFFLINE\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
{
"error": null,
"data": {
"message": "Delivery Channel update status request is created successfully",
"providerDeliveryChannelId": "ced2396b-32b5-4b08-bd98-7830dfb2b622",
"date": "2025-04-04T14:07:49Z",
"requestType": "Delivery Channel Create",
"requestedDate": "2025-04-04T14:07:47Z"
},
"status": "success"
}{
"error": {
"guid": "95bd740b-755b-4f95-8549-fa9acfc31a41",
"code": 400,
"type": "ValidationError",
"message": "Invalid request body format. Please check your request format from AccessRC API specifications.",
"title": "Invalid Request Body"
},
"data": null,
"status": "failed"
}{
"error": {
"guid": "2c77f4b6-6ff8-4017-8bb8-1d7a5c8e01f3",
"code": 401,
"type": "Unauthorized",
"message": null,
"title": "API Key is missing"
},
"data": null,
"status": "failed"
}{
"error": {
"guid": "2c77f4b6-6ff8-4017-8bb8-1d7a5c8e01f3",
"code": 500,
"type": "Exception",
"message": null,
"title": "Internal Server Error"
},
"data": null,
"status": "failed"
}Authorizations
API Key required in x-api-key header
Body
application/json-patch+jsonapplication/jsontext/jsonapplication/*+json
⌘I
